
QGIS Application - Bug report #9169

Grass raster values not identified properly

2013-12-05 05:12 PM - RJ RJ

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 17801

Description

When viewing a GRASS raster in QGIS, the identify tool will display the band value for a couple of time, but will eventually no longer show

the band value in the identify results popup.

This is on OSX 10.9 and QGIS 2.0.1

History

#1 - 2013-12-06 12:43 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Category set to GRASS

- Status changed from Open to Feedback

cannot confirm, at least on linux qgis/master

#2 - 2013-12-08 08:00 AM - rcline -

This is a duplicate of bug #4605. This has been a bug in QGIS on OS X since before 1.7 was released. As a work around, use "Add Raster Layer" and set

file type to "{GDAL] All Files" and then select the raster from within  <mapset>/cellhd/. Both the identify tool and Terrain profile tools work with a GRASS

raster loaded in this way.

#3 - 2013-12-11 09:51 AM - RJ RJ

rcline - wrote:

This is a duplicate of bug #4605. This has been a bug in QGIS on OS X since before 1.7 was released. As a work around, use "Add Raster Layer"

and set file type to "{GDAL] All Files" and then select the raster from within  <mapset>/cellhd/. Both the identify tool and Terrain profile tools work

with a GRASS raster loaded in this way.

When I try this, I get an error saying "<layer> is not a supported raster data source"

#4 - 2013-12-12 01:49 PM - rcline -

Is appears that you don't have the GRASS GDAL plugin installed. I am using QGIS and GRASS from KyngChaos. If you have the frameworks installed from

this site, then you also need GRASS plugin v1.10.0-3 from http://www.kyngchaos.com/software/frameworks. Scroll down to GDAL 1.10.
#5 - 2014-01-26 02:31 PM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback
